package com.shanghaichengdi.ghjgitem;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
//开启定时任务
@EnableScheduling
//开启异步方法调用
@EnableAsync
//开启事务支持
@EnableTransactionManagement
public class GhjgItemServerApplication {

    public static void main(String[] args) {
        SpringApplication.run(GhjgItemServerApplication.class, args);
    }

}
